<?php
/*
Plugin Name: Alphasms
Plugin URI: https://alphasms.ua/
Author: Alphasms
Version: 1.0
Author URI: https://alphasms.ua/
Description: С помощью данного плагина Вы можете отправлять автоматические СМС уведомления о статусах заказов администраторам и покупателям интернет-магазина, работающего на WordPress WooCommerce.
*/

define('ALPHASMS_DIR', plugin_dir_path(__FILE__));
define('ALPHASMS_URL', plugin_dir_url(__FILE__));
define('ALPHASMS_DEBUG', false);

require_once __DIR__ . '/autoload.php';

load_plugin_textdomain('alphasms', false, dirname(plugin_basename(__FILE__)) . '/lang/');

register_activation_hook(__FILE__, ['AlphasmsAdmin', 'install']);
register_uninstall_hook(__FILE__, ['AlphasmsAdmin', 'uninstall']);
register_deactivation_hook(__FILE__, ['AlphasmsAdmin', 'deactivation']);

function alphasms_load() {

	if (is_admin()) {
		$is_plugin_page = false;
		if (!empty($_GET['page']) && preg_match('/alphasms/i', $_GET['page'])) {
			$is_plugin_page = true;
		}
		
		AlphasmsAdmin::alphasms($is_plugin_page)->wpAdmin();
	}

    AlphasmsCore::alphasms()->listner();
}

if (in_array('woocommerce/woocommerce.php', apply_filters('active_plugins', get_option('active_plugins')))) {
	add_action('plugins_loaded', 'alphasms_load');
}