<?php 
class AlphasmsCore
{	
	public $order_id;
	public $settings;
	
	public function __construct()
	{
		$config_path = realpath(ALPHASMS_DIR) . DIRECTORY_SEPARATOR . 'config.php';
		if (file_exists($config_path)) {
			$this->settings = require($config_path);
		}
		
		$this->settings = $this->settings + AlphasmsDB::alphasms()->loadSettings('core');
	}
	
	/**
	 * listner()
	 */
	public function listner()
	{
		add_action('woocommerce_email_order_details', [$this, 'order_details'], 10, 4);
		add_action('woocommerce_checkout_update_order_meta', [$this, 'new_order'], 10, 1);
		add_action('woocommerce_order_status_completed', [$this, 'payment_order'], 10, 1);
        //add_action('woocommerce_checkout_update_user_meta', [$this, 'new_user'], 12, 2);
        add_action('woocommerce_order_status_changed', [$this, 'new_status'], 11, 3);
	}
	
	/**
	 * order_details($orde=object, $admin=boolean, $text=string, $email)
	 */
	public function order_details($order, $admin, $text, $email)
	{
		$this->order_id = $order->get_id();
//		add_action('phpmailer_init', [$this, 'alpha_send'], 10, 1);

        // TODO: send SMS
	}
	
	/**
	 * new_order($order_id)
	 */
	public function new_order($order_id)
	{
		$order = wc_get_order($order_id);
		$order_data = $order->get_data();
		$status = $order_data['status'];

		if (!empty($this->settings['admin_event_used'])) {
			if (empty($this->settings['admin_event_new_order'])) {
				return false;
			}	
	
			$data = self::prepareData('admin', 1, $order_data);
			if (empty($data)) {
				return false;
			}
			
			$send = AlphasmsSMSApi::alphasms()->send($data);
		}
		
		if (!empty($this->settings['client_event_used'])) {
			if (empty($this->settings['client_event_new_order'])) {
				return false;
			}	
				
			$data = self::prepareData('client', 1, $order_data);
			if (empty($data)) {
				return false;
			}
			
			$send = AlphasmsSMSApi::alphasms()->send($data);
		}
		
		return false;
	}
	
	/**
	 * payment_order($order_id)
	 */
	public function payment_order($order_id)
	{
		$order = wc_get_order($order_id);
		$order_data = $order->get_data();
		$status = $order_data['status'];
		
		if (!empty($this->settings['admin_event_used'])) {
			if (empty($this->settings['admin_event_payment_order'])) {
				return false;
			}	
			
			$data = self::prepareData('admin', 2, $order_data);
			if (empty($data)) {
				return false;
			}
			
			$send = AlphasmsSMSApi::alphasms()->send($data);
		}

		if (!empty($this->settings['client_event_used'])) {
			if (empty($this->settings['client_event_payment_order'])) {
				return false;
			}
				
			$data = self::prepareData('client', 2, $order_data);
			if (empty($data)) {
				return false;
			}
			
			$send = AlphasmsSMSApi::alphasms()->send($data);
		}

		return false;
	}
	
	/**
	 * new_user($user_id, $fields)
	 */
	public function new_user($user_id, $fields)
	{
		return false;
	}
	
	/**
	 * new_status($order_id, $old_status, $new_status)
	 */
	public function new_status($order_id, $old_status, $new_status)
	{
		$order = wc_get_order($order_id);
		$order_data = $order->get_data();

		if (!empty($this->settings['admin_event_used'])) {

			if (!empty($this->settings['admin_event_change_order_3']) && $new_status=='pending') {
				$data = self::prepareData('admin', 3, $order_data);
				$send = AlphasmsSMSApi::alphasms()->send($data);
			}

			if (!empty($this->settings['admin_event_change_order_4']) && $new_status=='processing') {
				$data = self::prepareData('admin', 4, $order_data);
				$send = AlphasmsSMSApi::alphasms()->send($data);
			}
			
			if (!empty($this->settings['admin_event_change_order_5']) && $new_status=='on-hold') {
				$data = self::prepareData('admin', 5, $order_data);
				$send = AlphasmsSMSApi::alphasms()->send($data);
			}
			
			if (!empty($this->settings['admin_event_change_order_6']) && $new_status=='cancelled') {
				$data = self::prepareData('admin', 6, $order_data);
				$send = AlphasmsSMSApi::alphasms()->send($data);
			}
			
			if (!empty($this->settings['admin_event_change_order_7']) && $new_status=='refunded') {
				$data = self::prepareData('admin', 7, $order_data);
				$send = AlphasmsSMSApi::alphasms()->send($data);
			}
			
			if (!empty($this->settings['admin_event_change_order_8']) && $new_status=='failed') {
				$data = self::prepareData('admin', 8, $order_data);
				$send = AlphasmsSMSApi::alphasms()->send($data);
			}

		}

		if (!empty($this->settings['client_event_used'])) {
			
			if (!empty($this->settings['client_event_change_order_3']) && $new_status=='pending') {
				$data = self::prepareData('client', 3, $order_data);
				$send = AlphasmsSMSApi::alphasms()->send($data);
			}

			if (!empty($this->settings['client_event_change_order_4']) && $new_status=='processing') {
				$data = self::prepareData('client', 4, $order_data);
				$send = AlphasmsSMSApi::alphasms()->send($data);
			}
			
			if (!empty($this->settings['client_event_change_order_5']) && $new_status=='on-hold') {
				$data = self::prepareData('client', 5, $order_data);
				$send = AlphasmsSMSApi::alphasms()->send($data);
			}
			
			if (!empty($this->settings['client_event_change_order_6']) && $new_status=='cancelled') {
				$data = self::prepareData('client', 6, $order_data);
				$send = AlphasmsSMSApi::alphasms()->send($data);
			}
			
			if (!empty($this->settings['client_event_change_order_7']) && $new_status=='refunded') {
				$data = self::prepareData('client', 7, $order_data);
				$send = AlphasmsSMSApi::alphasms()->send($data);
			}
			
			if (!empty($this->settings['client_event_change_order_8']) && $new_status=='failed') {
				$data = self::prepareData('client', 8, $order_data);
				$send = AlphasmsSMSApi::alphasms()->send($data);
			}
			
		}

		return false;
	}

	/**
	 * prepareData($type=0, $id=0, $array=[])
	 */
	private function prepareData($type=0, $id=0, $array=[])
	{
		if (empty($type) || empty($id)) {
			return false;
		}
		
		$data = [
            'message' => [],
		];

		$recipients = [];

        $settings = AlphasmsDB::alphasms()->loadSettings('sms');

        if ($type=='admin') {

            if (!empty($settings['admin_phone'])) {
                $recipients[] = $settings['admin_phone'];
            }

            if (!empty($settings['admin_phone2'])) {
                $recipients[] = $settings['admin_phone2'];
            }

            if (!empty($settings['admin_phone3'])) {
                $recipients[] = $settings['admin_phone3'];
            }
        }

        if ($type=='client') {
            if (!empty($array['billing']['phone'])) {
                $recipients[] = $array['billing']['phone'];
            }
        }

        if (empty($recipients)) {
            return false;
        }

		if (!empty(trim($settings[$type.'_template_settings'][$id][$type.'_text_sms']))) {
			
			$stores_name = get_bloginfo();
			$data['StoresName'] = !empty($stores_name) ? $stores_name : '';
			$data['OrderID'] = !empty($array['id']) ? $array['id'] : '';
			$data['OrderSum'] = (!empty($array['total']) && !empty($array['currency'])) ? $array['total'].' '.$array['currency'] : '';
			$data['ClientName'] = !empty($array['billing']['first_name']) ? $array['billing']['first_name'] : '';
			$data['ClientLastName'] = !empty($array['billing']['last_name']) ? $array['billing']['last_name'] : '';
			$data['OrderStatus'] = !empty($array['status']) ? __($settings['status'][$array['status']], 'alphasms') : '';
		
			$data['AddrOrderDelivery'] = '';
			if (!empty($array['shipping']['city'])) {
				$data['AddrOrderDelivery'] .= $array['shipping']['city'].' ';
			}
			
			if (!empty($array['shipping']['address_2'])) {
				$data['AddrOrderDelivery'] .= $array['shipping']['address_2'].' ';
			}
			
			if (!empty($array['shipping']['address_1'])) {
				$data['AddrOrderDelivery'] .= $array['shipping']['address_1'].' ';
			}
	
			$data['AddrPayment'] = '';
			if (!empty($array['billing']['city'])) {
				$data['AddrPayment'] .= $array['billing']['city'].' ';
			}
			
			if (!empty($array['billing']['address_2'])) {
				$data['AddrPayment'] .= $array['billing']['address_2'].' ';
			}
			
			if (!empty($array['billing']['address_1'])) {
				$data['AddrPayment'] .= $array['billing']['address_1'].' ';
			}
			
			if (!empty($array['billing']['email'])) {
				$data['ClientEmail'] = $array['billing']['email'];
			}
			
			if (!empty($array['billing']['phone'])) {
				$data['ClientPhone'] = $array['billing']['phone'];
			}

			$data['MethodPayment'] = !empty($array['payment_method_title']) ? $array['payment_method_title'] : '';

			if (!empty($settings[$type.'_template_settings'][$id][$type.'_used_translit'])) {
				$data['message'][0]['sms_text'] = AlphasmsSMSApi::alphasms()->transliterate($data['message'][0]['sms_text']);
			}

			foreach ($recipients as $recipient) {
                $message_arr = [
                    'text_sms' => AlphasmsSMSApi::alphasms()->replaceTag($settings[$type.'_template_settings'][$id][$type.'_text_sms'], $data, $this->settings['tag']),
                    'recipient' => $recipient,
                ];

                if (!empty($array['translit'])) {
                    $message_arr['sms_text'] = AlphasmsSMSApi::alphasms()->transliterate($message_arr['sms_text']);
                }

                $data['message'][] = $message_arr;
            }

		}
		else {
			return false;
		}

		return $data;	
	}

	/**
	 * alphasms($className=__CLASS__)
	 */ 
	public static function alphasms($className = __CLASS__)
	{
		return new $className;
	}
}
