<?php
wp_enqueue_script('jquery-ui-datepicker');
wp_enqueue_script('timepicker_min_js', plugins_url('assets/js/jquery-ui-timepicker-addon-1.6.3.min.js', dirname(__FILE__)));

add_action('admin_print_footer_scripts', 'alphasms_script_sms', 99);
function alphasms_script_sms() {
	?>
	<script type="text/javascript">
		function getBalance(token) {
			jQuery.ajax({
				type: "POST",
				url: '<?=admin_url()?>admin-ajax.php?action=alphasms_balance_action',
				data: {token: token, type: 'balance'},
				success: function(d){ 
					if (d) {
						jQuery('#alphasms-balance').text(d);
						if (d>0) {
							jQuery('#alphasms-balance').parents('.alert').removeClass('alert-danger').addClass('alert-success');
						} else {
							jQuery('#alphasms-balance').parents('.alert').removeClass('alert-success').addClass('alert-danger');
						}
					}	
				}
			});
		}

		function loadDateTimePickerPlugin() {
			jQuery.datepicker.setDefaults({
				closeText: 'Закрыть',
				prevText: '<Пред',
				nextText: 'След>',
				currentText: 'Сегодня',
				monthNames: ['Январь','Февраль','Март','Апрель','Май','Июнь','Июль','Август','Сентябрь','Октябрь','Ноябрь','Декабрь'],
				monthNamesShort: ['Янв','Фев','Мар','Апр','Май','Июн','Июл','Авг','Сен','Окт','Ноя','Дек'],
				dayNames: ['воскресенье','понедельник','вторник','среда','четверг','пятница','суббота'],
				dayNamesShort: ['вск','пнд','втр','срд','чтв','птн','сбт'],
				dayNamesMin: ['Вс','Пн','Вт','Ср','Чт','Пт','Сб'],
				weekHeader: 'Нед',
				dateFormat : 'yy-mm-dd',
				firstDay: 1,
				showAnim: 'slideDown',
				isRTL: false,
				showMonthAfterYear: false,
				yearSuffix: '',
			});

			jQuery('#AlphasmsSmsMailing_date_send, #AlphasmsSmsHistory_date_start, #AlphasmsSmsHistory_date_stop').datetimepicker({
				dateFormat : 'yy-mm-dd',
				currentText: 'Сегодня',
				closeText: 'Закрыть',
				timeFormat: 'HH:mm:ss',
				timeOnlyTitle: 'Выберите время',
				timeText: 'Время',
				hourText: 'Часы',
				minuteText: 'Минуты',
				secondText: 'Секунды',
				timeSuffix: ''
			});	
		}

		jQuery(document).ready(function($) {
			var token = '<?=wp_get_session_token()?>';
			setTimeout(function(){jQuery('.message_output').fadeOut('slow')}, 10000);
            // setTimeout(function(){getBalance(token)}, 1000);
		});
	</script>
<?php } ?>

<div id="alphasms-page-sms" class="container-fluid">

	<div id="alphasms-overlay"></div>
	<i id="alphasms-order-loader-admin" class="fa fa-cog fa-spin fa-fw"></i>
	
	<div class="masthead">
		
		<h3 class="text-muted">
			<img src="<?=$this->settings['logo']?>" alt="logo" class="module-logo" width="400">
            <br>
		</h3>
		
    </div>
	
	<div class="row">
		<div class="col-sm-3">

            <div class="alert alert-<?=!empty($this->settings['balance']) && floatval($this->settings['balance']) > 0 ? 'success' : 'danger'?>" style="display:table">

				<i class="fa fa-balance-scale" aria-hidden="true"></i> 
				<?=__('Balance', 'alphasms')?>:
				<span id="alphasms-balance"><?=!empty($this->settings['balance']) ? AlphasmsSMSApi::alphasms()->getFormat($this->settings['balance'], 'money') : '0'?></span>
				
				<?php if (!empty($this->settings['currency'])) : ?>
				
					<?php if ($this->settings['currency']=='RUR') : ?>
					
						&nbsp;<i class="fa fa-rub" aria-hidden="true"></i>
						
					<?php endif; ?>
					
				<?php endif; ?>

			</div>
			
		</div>	
		<div class="col-sm-9">	
				
			<?php if (!empty($this->settings['balance_link'])) : ?>
				
				<a href="<?=$this->settings['balance_link']?>" target="_blank" class="btn btn-success pull-right btn-xs-block">
					<?=__('AddBalance', 'alphasms')?>
				</a>
				
			<?php endif; ?>
				
			<?php if (!empty($this->settings['personal_account_link'])) : ?>
				
				<a href="<?=$this->settings['personal_account_link']?>" target="_blank" class="btn btn-info pull-right btn-xs-block" style="margin-right:2px">
					<?=__('PersonalAccount', 'alphasms')?>
				</a>
				
			<?php endif; ?>	

		</div>
	</div>
	
	<p class="clearfix"></p>
	
	<div class="row">
		<div class="col-sm-12">
			
			<ul class="nav nav-tabs" id="alphasms-settings-tab">
				<li class="<?=(empty($sub_page) || $sub_page=='settings') ? 'active' : ''?>">
					<a href="#alphasms-smssettings" data-toggle="tab">
						<?=__('Settings', 'alphasms')?>
					</a>
				</li>
                <li class="<?=(!empty($sub_page) && $sub_page=='mailing') ? 'active' : ''?>">
                    <a href="#alphasms-smsmailing" data-toggle="tab">
                        <?=__('Test SMS', 'alphasms')?>
                    </a>
                </li>
                <li class="<?=(!empty($sub_page) && $sub_page=='events') ? 'active' : ''?>">
                    <a href="#alphasms-smsevents" data-toggle="tab">
                        <?=__('Events', 'alphasms')?>
                    </a>
                </li>
				<li class="<?=(!empty($sub_page) && $sub_page=='templates') ? 'active' : ''?>">
					<a href="#alphasms-smstemplates" data-toggle="tab">
						<?=__('Templates', 'alphasms')?>
					</a>
				</li>
				<li class="<?=(!empty($sub_page) && $sub_page=='info') ? 'active' : ''?>">
					<a href="#alphasms-smsinfo" data-toggle="tab">
						<?=__('Info', 'alphasms')?>
					</a>
				</li>
			</ul>
			
		</div>
	</div>

	<div class="tab-content">
		<div class="tab-pane fade <?=(empty($sub_page) || $sub_page=='settings') ? 'in active' : ''?>" id="alphasms-smssettings">
		
			<?php require_once __DIR__ . '/sms_page/__sms_settings.php'; ?>
			
		</div>
		
		<div class="tab-pane fade <?=($sub_page=='mailing') ? 'in active' : ''?>" id="alphasms-smsmailing">
				
			<?php require_once __DIR__ . '/sms_page/__sms_mailing.php'; ?>
				
		</div>
			
		<div class="tab-pane fade <?=($sub_page=='events') ? 'in active' : ''?>" id="alphasms-smsevents">
				
			<?php require_once __DIR__ . '/sms_page/__sms_events.php'; ?>
			
		</div>
			
		<div class="tab-pane fade <?=($sub_page=='templates') ? 'in active' : ''?>" id="alphasms-smstemplates">
				
			<?php require_once __DIR__ . '/sms_page/__sms_templates.php'; ?>
				
		</div>
		
		<div class="tab-pane fade <?=($sub_page=='info') ? 'in active' : ''?>" id="alphasms-smsinfo">
				
			<?php require_once __DIR__ . '/sms_page/__sms_info.php'; ?>
				
		</div>
			
	</div>
	
</div>
