<?php
add_action('admin_print_footer_scripts', 'alphasms_sms_page_events', 99);
function alphasms_sms_page_events() {
	?>
	<script type="text/javascript">
		var token = '<?=wp_get_session_token()?>';
		jQuery(document).ready(function($) {
			jQuery(document).delegate('#sms-events-form', 'submit', function(event){
				var form_data = {};
				form_data.token = token;
				form_data.page_type = 'sms';
				form_data.AlphasmsSmsEvents = {};
				if ((typeof event.currentTarget === "object") && (event.currentTarget !== null)) {
					jQuery.each(event.currentTarget, function(index, value){
						if (value.type=='submit') {
							return false;
						}
							
						var name = value.name.replace(/.*\[|\]/gi,'');
						if (value.type=='checkbox' || value.type=='radio') {
							form_data.AlphasmsSmsEvents[name] = value.checked;
						} else {
							form_data.AlphasmsSmsEvents[name] = value.value;
						}
					});
				}
					
				reloadForm('smsevents', token, form_data, '<?=admin_url()?>');
				event.preventDefault();
			});	
		});
	</script>
<?php } ?>

<div class="row message_output">
	<div class="col-sm-12">
	
		<?php if (!empty($this->settings['error'])) : ?>
				
			<p class="alert alert-danger">
				<?=$this->settings['error']?>
			</p>
				
		<?php elseif (!empty($this->settings['success'])) : ?>
			
			<p class="alert alert-success">
				<?=$this->settings['success']?>
			</p>
			
		<?php endif; ?>

	</div>
</div>

<div class="row">

	<div class="col-sm-12">
						
		<form id="sms-events-form" action="" method="post" class="form-horizontal" role="form">
			
			<div id="alphasms-order-type-admin" class="col-sm-6">


                <div class="form-group">
                    <div class="col-sm-12">
                        <div class="bs-callout bs-callout-warning">
                            <h4><?= __('EventsAdministrator', 'alphasms') ?></h4>
                            <?php
                            if (!empty($this->EventsAdministratorWarning)) {
                            ?>
                            <p><?= __('EventsAdministratorWarning', 'alphasms') ?></p>
                                <?php
                            }
                            ?>
                        </div>
                    </div>

                    <hr>
                </div>
				
				<div class="form-group">
					<label for="AlphasmsSmsEvents_admin_event_used" class="col-sm-5 control-label"><?=__('EventUsed', 'alphasms')?></label>
					<div class="col-sm-5">
						<input type="checkbox" name="AlphasmsSmsEvents[admin_event_used]" id="AlphasmsSmsEvents_admin_event_used" <?=!empty($this->settings['admin_event_used']) ? 'checked' : ''?>>
					</div>
				</div>
				
				<hr>
				
				<div class="form-group">
					<label for="AlphasmsSmsEvents_admin_event_new_order" class="col-sm-5 control-label"><?=__('NewOrder', 'alphasms')?></label>
					<div class="col-sm-5">
						<input type="checkbox" name="AlphasmsSmsEvents[admin_event_new_order]" id="AlphasmsSmsEvents_admin_event_new_order" <?=!empty($this->settings['admin_event_new_order']) ? 'checked' : ''?>>
					</div>
				</div>
				
				<div class="form-group">
					<label for="AlphasmsSmsEvents_admin_event_payment_order" class="col-sm-5 control-label"><?=__('PaymentOrder', 'alphasms')?></label>
					<div class="col-sm-5">
						<input type="checkbox" name="AlphasmsSmsEvents[admin_event_payment_order]" id="AlphasmsSmsEvents_admin_event_payment_order" <?=!empty($this->settings['admin_event_payment_order']) ? 'checked' : ''?>>
					</div>
				</div>

				<div class="form-group">
					<label for="AlphasmsSmsEvents_admin_event_change_order_3" class="col-sm-5 control-label"><?=__('WaitingForPayment', 'alphasms')?></label>
					<div class="col-sm-5">
						<input type="checkbox" name="AlphasmsSmsEvents[admin_event_change_order_3]" id="AlphasmsSmsEvents_admin_event_change_order_3" <?=!empty($this->settings['admin_event_change_order_3']) ? 'checked' : ''?>>
					</div>
				</div>
				
				<div class="form-group">
					<label for="AlphasmsSmsEvents_admin_event_change_order_4" class="col-sm-5 control-label"><?=__('Processing', 'alphasms')?></label>
					<div class="col-sm-5">
						<input type="checkbox" name="AlphasmsSmsEvents[admin_event_change_order_4]" id="AlphasmsSmsEvents_admin_event_change_order_4" <?=!empty($this->settings['admin_event_change_order_4']) ? 'checked' : ''?>>
					</div>
				</div>
				
				<div class="form-group">
					<label for="AlphasmsSmsEvents_admin_event_change_order_5" class="col-sm-5 control-label"><?=__('OnHold', 'alphasms')?></label>
					<div class="col-sm-5">
						<input type="checkbox" name="AlphasmsSmsEvents[admin_event_change_order_5]" id="AlphasmsSmsEvents_admin_event_change_order_5" <?=!empty($this->settings['admin_event_change_order_5']) ? 'checked' : ''?>>
					</div>
				</div>
				
				<div class="form-group">
					<label for="AlphasmsSmsEvents_admin_event_change_order_6" class="col-sm-5 control-label"><?=__('Canceled', 'alphasms')?></label>
					<div class="col-sm-5">
						<input type="checkbox" name="AlphasmsSmsEvents[admin_event_change_order_6]" id="AlphasmsSmsEvents_admin_event_change_order_6" <?=!empty($this->settings['admin_event_change_order_6']) ? 'checked' : ''?>>
					</div>
				</div>
				
				<div class="form-group">
					<label for="AlphasmsSmsEvents_admin_event_change_order_7" class="col-sm-5 control-label"><?=__('Returned', 'alphasms')?></label>
					<div class="col-sm-5">
						<input type="checkbox" name="AlphasmsSmsEvents[admin_event_change_order_7]" id="AlphasmsSmsEvents_admin_event_change_order_7" <?=!empty($this->settings['admin_event_change_order_7']) ? 'checked' : ''?>>
					</div>
				</div>
				
				<div class="form-group">
					<label for="AlphasmsSmsEvents_admin_event_change_order_8" class="col-sm-5 control-label"><?=__('Failed', 'alphasms')?></label>
					<div class="col-sm-5">
						<input type="checkbox" name="AlphasmsSmsEvents[admin_event_change_order_8]" id="AlphasmsSmsEvents_admin_event_change_order_8" <?=!empty($this->settings['admin_event_change_order_8']) ? 'checked' : ''?>>
					</div>
				</div>
			
			</div>
			<div id="alphasms-order-type-client" class="col-sm-6">
			
				<div class="form-group">
					<div class="col-sm-12">
						<div class="bs-callout bs-callout-info">
							<h4><?=__('EventsClient', 'alphasms')?></h4>
                            <?php
                            if (!empty($this->EventsAdministratorWarning)) {
                            ?>
                            <p><?= __('EventsClientWarning', 'alphasms') ?></p>
                            <?php
                            }
                            ?>
						</div>
					</div>

                    <hr>
				</div>
				
				<div class="form-group">
					<label for="AlphasmsSmsEvents_client_event_used" class="col-sm-5 control-label"><?=__('EventUsed', 'alphasms')?></label>
					<div class="col-sm-5">
						<input type="checkbox" name="AlphasmsSmsEvents[client_event_used]" id="AlphasmsSmsEvents_client_event_used" <?=!empty($this->settings['client_event_used']) ? 'checked' : ''?>>
					</div>
				</div>
				
				<hr>
				
				<div class="form-group">
					<label for="AlphasmsSmsEvents_client_event_new_order" class="col-sm-5 control-label"><?=__('NewOrder', 'alphasms')?></label>
					<div class="col-sm-5">
						<input type="checkbox" name="AlphasmsSmsEvents[client_event_new_order]" id="AlphasmsSmsEvents_client_event_new_order" <?=!empty($this->settings['client_event_new_order']) ? 'checked' : ''?>>
					</div>
				</div>
				
				<div class="form-group">
					<label for="AlphasmsSmsEvents_client_event_payment_order" class="col-sm-5 control-label"><?=__('PaymentOrder', 'alphasms')?></label>
					<div class="col-sm-5">
						<input type="checkbox" name="AlphasmsSmsEvents[client_event_payment_order]" id="AlphasmsSmsEvents_client_event_payment_order" <?=!empty($this->settings['client_event_payment_order']) ? 'checked' : ''?>>
					</div>
				</div>

				<div class="form-group">
					<label for="AlphasmsSmsEvents_client_event_change_order_3" class="col-sm-5 control-label"><?=__('WaitingForPayment', 'alphasms')?></label>
					<div class="col-sm-5">
						<input type="checkbox" name="AlphasmsSmsEvents[client_event_change_order_3]" id="AlphasmsSmsEvents_client_event_change_order_3" <?=!empty($this->settings['client_event_change_order_3']) ? 'checked' : ''?>>
					</div>
				</div>
				
				<div class="form-group">
					<label for="AlphasmsSmsEvents_client_event_change_order_4" class="col-sm-5 control-label"><?=__('Processing', 'alphasms')?></label>
					<div class="col-sm-5">
						<input type="checkbox" name="AlphasmsSmsEvents[client_event_change_order_4]" id="AlphasmsSmsEvents_client_event_change_order_4" <?=!empty($this->settings['client_event_change_order_4']) ? 'checked' : ''?>>
					</div>
				</div>
				
				<div class="form-group">
					<label for="AlphasmsSmsEvents_client_event_change_order_5" class="col-sm-5 control-label"><?=__('OnHold', 'alphasms')?></label>
					<div class="col-sm-5">
						<input type="checkbox" name="AlphasmsSmsEvents[client_event_change_order_5]" id="AlphasmsSmsEvents_client_event_change_order_5" <?=!empty($this->settings['client_event_change_order_5']) ? 'checked' : ''?>>
					</div>
				</div>
				
				<div class="form-group">
					<label for="AlphasmsSmsEvents_client_event_change_order_6" class="col-sm-5 control-label"><?=__('Canceled', 'alphasms')?></label>
					<div class="col-sm-5">
						<input type="checkbox" name="AlphasmsSmsEvents[client_event_change_order_6]" id="AlphasmsSmsEvents_client_event_change_order_6" <?=!empty($this->settings['client_event_change_order_6']) ? 'checked' : ''?>>
					</div>
				</div>
				
				<div class="form-group">
					<label for="AlphasmsSmsEvents_client_event_change_order_7" class="col-sm-5 control-label"><?=__('Returned', 'alphasms')?></label>
					<div class="col-sm-5">
						<input type="checkbox" name="AlphasmsSmsEvents[client_event_change_order_7]" id="AlphasmsSmsEvents_client_event_change_order_7" <?=!empty($this->settings['client_event_change_order_7']) ? 'checked' : ''?>>
					</div>
				</div>
				
				<div class="form-group">
					<label for="AlphasmsSmsEvents_client_event_change_order_8" class="col-sm-5 control-label"><?=__('Failed', 'alphasms')?></label>
					<div class="col-sm-5">
						<input type="checkbox" name="AlphasmsSmsEvents[client_event_change_order_8]" id="AlphasmsSmsEvents_client_event_change_order_8" <?=!empty($this->settings['client_event_change_order_8']) ? 'checked' : ''?>>
					</div>
				</div>

			</div>
			
			<div class="form-group">
				<div class="col-sm-12">
					<input type="submit" class="btn btn-lg btn-primary pull-right btn-xs-block floating_button" name="AlphasmsEvents[btn]" value="<?=__('Save', 'alphasms')?>">
				</div>
			</div>
			
		</form>
						
	</div>

</div>
