<?php
add_action('admin_print_footer_scripts', 'alphasms_sms_page_mailing', 99);
function alphasms_sms_page_mailing() {
	?>
	<script type="text/javascript">
		jQuery(document).ready(function($) {
			loadDateTimePickerPlugin();
			var token = '<?=wp_get_session_token()?>';
			jQuery(document).delegate('#sms-mailing-form', 'submit', function(event){
				var form_data = {};
				form_data.token = token;
				form_data.page_type = 'sms';
				form_data.query_type = 'send';
				form_data.AlphasmsSmsMailing = {};
				if ((typeof event.currentTarget === "object") && (event.currentTarget !== null)) {
					jQuery.each(event.currentTarget, function(index, value){
						if (value.type=='submit') {
							return false;
						}
							
						var name = value.name.replace(/.*\[|\]/gi,'');
						if (value.type=='checkbox' || value.type=='radio') {
							form_data.AlphasmsSmsMailing[name] = value.checked;
						} else {
							form_data.AlphasmsSmsMailing[name] = value.value;
						}
					});
				}
					
				reloadForm('smsmailing', token, form_data, '<?=admin_url()?>');
				event.preventDefault();
				return false;
			});	

			jQuery(document).delegate('.alphasms-checkbox', 'switchChange.bootstrapSwitch', function (e, state) {
				if (this.id=='AlphasmsSmsMailing_all_recipients') {
					if (state === true) {
						jQuery('.radio_2').bootstrapSwitch('state', false);
					}	
				} else {
					if (state === true) {
						jQuery('.radio_1').bootstrapSwitch('state', false);
					}
				}
				
				var form_data = {};
				form_data.token = token;
				form_data.page_type = 'sms';
				form_data.query_type = 'selected';
				form_data.AlphasmsSmsMailing = {};
				jQuery('#sms-mailing-form').find('input, textarea').each(function(i, elem) {
					if (elem.type=='submit') {
						return false;
					}
					
					var name = elem.name.replace(/.*\[|\]/gi,'');
					if (elem.type=='checkbox' || elem.type=='radio') {
						form_data.AlphasmsSmsMailing[name] = elem.checked;
					} else {
						form_data.AlphasmsSmsMailing[name] = elem.value;
					}
				});	

				reloadForm('smsmailing', token, form_data, '<?=admin_url()?>');
				return false;
			});	
			
			jQuery(document).delegate('#AlphasmsSmsMailing_text_sms', 'keyup', function(e){
				var count = 0;
				var size = 0;	
				var value = this.value;

				if (value && typeof value !== 'undefined') {
					count = value.length;
					if (value.match(/[а-я]/gi)) {
						if (count<=70) {
							var divider = 70;
						} else {
							var divider = 67;
						}
					} else {
						if (count<=160) {
							var divider = 160;
						} else {
							var divider = 153;
						}
					}
					
					size = Math.ceil(count/divider);
				}
					
				jQuery(this).parent('div').find('.alphasms-count-sms-letters').text(count);
				jQuery(this).parent('div').find('.alphasms-size-sms-letters').text(size);
				jQuery(this).parent('div').find('.alphasms-length-sms-letters').text(divider);
			});
		});
	</script>
<?php } ?>

<div class="row message_output">
	<div class="col-sm-12">
	
		<?php if (!empty($this->settings['error'])) : ?>
				
			<p class="alert alert-danger">
				<?=$this->settings['error']?>
			</p>
				
		<?php elseif (!empty($this->settings['success'])) : ?>
			
			<p class="alert alert-success">
				<?=$this->settings['success']?>
			</p>
			
		<?php endif; ?>

	</div>
</div>


<div class="row">

	<div class="col-sm-12">
						
		<form id="sms-mailing-form" action="" method="post" class="form-horizontal" role="form">

            <div class="form-group">
                <div class="col-sm-12">
                    <div class="bs-callout bs-callout-info">
                        <h4><?= __('Send test SMS', 'alphasms') ?></h4>
                        <?php
                        if (!empty($this->MailingWarning)) {
                        ?>
                        <p><?= __('Error with sending of test SMS', 'alphasms') ?></p>
                        <?php
                        }
                        ?>
                    </div>
                </div>
            </div>

            <hr>
			
			<div id="alphasms-order-type-settings">
			
				<div class="form-group">
					<label for="AlphasmsSmsMailing_text_sms" class="col-sm-2 control-label">
						<?=__('SMS text', 'alphasms')?>
					</label>
					<div class="col-sm-5">
						<textarea class="form-control text-left" id="AlphasmsSmsMailing_text_sms" name="AlphasmsSmsMailing[text_sms]" rows="5"><?=!empty($this->settings['mailing_settings']['text_sms']) ? htmlspecialchars(trim($this->settings['mailing_settings']['text_sms'])) : ''?></textarea>
						<small><i><?=__('CountChars', 'alphasms')?>: <span class="alphasms-count-sms-letters"></span></i></small>
						<div><small><i><?=__('SizeMessage', 'alphasms')?>: <span class="alphasms-size-sms-letters"></span> SMS</i></small></div>
						<p class="clearfix"></p>
					</div>
					<div class="col-sm-5 overflow">
						<?php foreach ($this->settings['tag'] as $tag_name => $tag) { ?>

						<?php } ?>
					</div>
				</div>
			
				<div class="form-group">
					<label for="AlphasmsSmsMailing_selection_recipient" class="col-sm-2 control-label">
						<?=__('Recipient', 'alphasms')?>
					</label>
					<div class="col-sm-5">
						<input class="form-control text-left" id="AlphasmsSmsMailing_selection_recipient" name="AlphasmsSmsMailing[selection_recipient]" value="" placeholder="+38 (000) 111-22-33">
					</div>
				</div>
				
				<div class="form-group" style="display: none;">
					<label for="AlphasmsSmsMailing_date_send" class="col-sm-2 control-label"><?=__('Departure date', 'alphasms')?></label>
					<div class="col-sm-10">
						<input type="datetime" class="form-control" name="AlphasmsSmsMailing[date_send]" id="AlphasmsSmsMailing_date_send" class="datepicker" value="<?=!empty($this->settings['mailing_settings']['date_send']) ? $this->settings['mailing_settings']['date_send'] : ''?>" autocomplete="off">
					</div>
				</div>

			</div>

            <hr>
			
			<div class="form-group">
				<div class="col-sm-12">
					<input type="submit" class="btn btn-lg btn-primary pull-right btn-xs-block floating_button" value="<?=__('Send', 'alphasms')?>">
				</div>
			</div>
			
		</form>
						
	</div>

</div>