<?php
add_action('admin_print_footer_scripts', 'alphasms_sms_page_settings', 99);
function alphasms_sms_page_settings() {
	?>
	<script type="text/javascript">
		jQuery(document).ready(function($) {
			var token = '<?=wp_get_session_token()?>';
			jQuery(document).delegate('#sms-settings-form', 'submit', function(event){
				var form_data = {};
				form_data.token = token;
				form_data.page_type = 'sms';
				form_data.AlphasmsSmsSettings = {};
				if ((typeof event.currentTarget === "object") && (event.currentTarget !== null)) {
					jQuery.each(event.currentTarget, function(index, value){
						if (value.type=='submit') {
							return false;
						}
							
						var name = value.name.replace(/.*\[|\]/gi,'');
						if (value.type=='checkbox' || value.type=='radio') {
							form_data.AlphasmsSmsSettings[name] = value.checked;
						} else {
							form_data.AlphasmsSmsSettings[name] = value.value;
						}
					});
				}

				reloadForm('smssettings', token, form_data, '<?=admin_url()?>');
				event.preventDefault();
				return false;
			});	
		});
	</script>
<?php } ?>

<div class="row message_output">
	<div class="col-sm-12">
	
		<?php if (!empty($this->settings['error'])) : ?>
				
			<p class="alert alert-danger">
				<?=$this->settings['error']?>
			</p>
				
		<?php elseif (!empty($this->settings['success'])) : ?>
			
			<p class="alert alert-success">
				<?=$this->settings['success']?>
			</p>
			
		<?php endif; ?>

	</div>
</div>

<div class="row">

	<div class="col-sm-12">
						
		<form id="sms-settings-form" action="" method="post" class="form-horizontal" role="form">

            <div class="form-group">
                <div class="col-sm-12">
                    <div class="bs-callout bs-callout-info">
                        <h4><?=__('SettingsAdministrator', 'alphasms')?></h4>
                        <?php
                        if (!empty($this->SettingsAdministratorWarning)) {
                        ?>
                        <p><?=$this->SettingsAdministratorWarning?></p>
                        <?php
                        }
                        ?>
                    </div>
                </div>
            </div>

            <hr>
			
			<div class="form-group">
				<label for="AlphasmsSmsSettings_login" class="col-sm-2 control-label"><?=__('Login', 'alphasms')?></label>
				<div class="col-sm-10">
					<input type="text" class="form-control" name="AlphasmsSmsSettings[login]" id="AlphasmsSmsSettings_login" value="<?=!empty($this->settings['login']) ? $this->settings['login'] : ''?>">
				</div>
			</div>
			
			<div class="form-group">
				<label for="AlphasmsSmsSettings_passwd" class="col-sm-2 control-label"><?=__('Password', 'alphasms')?></label>
				<div class="col-sm-10">
					<input type="password" class="form-control" name="AlphasmsSmsSettings[passwd]" id="AlphasmsSmsSettings_passwd" placeholder="********" value="<?=!empty($this->settings['passwd']) ? $this->settings['passwd'] : ''?>">
				</div>
			</div>

			<div class="form-group">
				<label for="AlphasmsSmsSettings_api_key" class="col-sm-2 control-label"><?=__('or', 'alphasms')?> <?=__('API key', 'alphasms')?></label>
				<div class="col-sm-10">
					<input type="text" class="form-control" name="AlphasmsSmsSettings[api_key]" id="AlphasmsSmsSettings_api_key" value="<?=!empty($this->settings['api_key']) ? $this->settings['api_key'] : ''?>">
				</div>
                <label class="col-sm-2"></label>
                <p class="col-sm-10"><?=__('You can find your API key in personal cabinet', 'alphasms')?>:
                    <a target="_blank" href="https://alphasms.ua/panel/settings/">https://alphasms.ua/panel/settings/</a>
                </p>
			</div>

            <hr>

			<div class="form-group">
				<label for="AlphasmsSmsSettings_alphaname" class="col-sm-2 control-label"><?=__('Alphaname', 'alphasms')?></label>
				<div class="col-sm-10">
					<input type="text" class="form-control" name="AlphasmsSmsSettings[alphaname]" id="AlphasmsSmsSettings_alphaname" value="<?=!empty($this->settings['alphaname']) ? $this->settings['alphaname'] : ''?>">
				</div>
			</div>

			<div class="form-group">
				<label for="AlphasmsSmsSettings_admin_phone" class="col-sm-2 control-label"><?=__('Admin phones', 'alphasms')?></label>
				<div class="col-sm-10">
                    <div class="row">
                        <div class="col-sm-4">
                            <input type="text" class="form-control" name="AlphasmsSmsSettings[admin_phone]" id="AlphasmsSmsSettings_admin_phone" value="<?=!empty($this->settings['admin_phone']) ? $this->settings['admin_phone'] : ''?>">
                        </div>
                        <div class="col-sm-4">
                            <input type="text" class="form-control" name="AlphasmsSmsSettings[admin_phone2]" id="AlphasmsSmsSettings_admin_phone" value="<?=!empty($this->settings['admin_phone2']) ? $this->settings['admin_phone2'] : ''?>">
                        </div>
                        <div class="col-sm-4">
                            <input type="text" class="form-control" name="AlphasmsSmsSettings[admin_phone3]" id="AlphasmsSmsSettings_admin_phone" value="<?=!empty($this->settings['admin_phone3']) ? $this->settings['admin_phone3'] : ''?>">
                        </div>
                    </div>
                </div>
			</div>
			
			<div class="form-group">
				<div class="col-sm-12">
					<input type="submit" class="btn btn-lg btn-primary pull-right btn-xs-block floating_button" value="<?=__('Save', 'alphasms')?>">
				</div>
			</div>
			
		</form>
						
	</div>

</div>