<?php
add_action('admin_print_footer_scripts', 'alphasms_sms_page_template', 99);
function alphasms_sms_page_template() {
	?>
	<script type="text/javascript">
		var token = '<?=wp_get_session_token()?>';
		jQuery(document).ready(function($) {
			jQuery(document).delegate('#sms-templates-form', 'submit', function(event){
				var form_data = {};
				form_data.token = token;
				form_data.page_type = 'sms';
				form_data.AlphasmsSmsTemplates = {};
				form_data.AlphasmsSmsTemplates.admin_number = {};
				if ((typeof event.currentTarget === "object") && (event.currentTarget !== null)) {
					var i=0;
					jQuery.each(event.currentTarget, function(index, value){
						if (value.type=='submit') {
							return false;
						}
	
						var arr = value.name.split('[');
						if (arr[1] && typeof arr[1] !== "undefined") {
							var name = arr[1].replace(/\]/gi,'');
							if (arr[2] && typeof arr[2] !== "undefined") {
								if (name == 'admin_number')	{
									if (value.type=='checkbox' || value.type=='radio') {
										form_data.AlphasmsSmsTemplates.admin_number[i] = value.checked;
									} else {
										form_data.AlphasmsSmsTemplates.admin_number[i] = value.value;
									}
									i++;
								}	
							} else {
								if (value.type=='checkbox' || value.type=='radio') {
									form_data.AlphasmsSmsTemplates[name] = value.checked;
								} else {
									form_data.AlphasmsSmsTemplates[name] = value.value;
								}
								
								if (name=='admin_events_type') {
									form_data.id_admin = value.value;
								}
								
								if (name=='client_events_type') {
									form_data.id_client = value.value;
								}
							}
						}						
					});
				}

				reloadForm('smstemplates', token, form_data, '<?=admin_url()?>');
				event.preventDefault();
			});	
			
			jQuery(document).delegate('#AlphasmsSmsTemplates_admin_events_type, #AlphasmsSmsTemplates_client_events_type', 'change', function(e){
				var id_admin = jQuery('#AlphasmsSmsTemplates_admin_events_type').val();
				var id_client = jQuery('#AlphasmsSmsTemplates_client_events_type').val();
				if(id_admin && id_client) {
					jQuery('#alphasms-overlay, #alphasms-order-loader-admin').show();
					jQuery('#alphasms-order-form').load('<?=admin_url()?>admin-ajax.php?action=alphasms_select_template&id_admin=' + id_admin + '&id_client=' + id_client, function() {
						loadPage();
					});
				}
			});	
			
			jQuery(document).delegate('#AlphasmsSmsMailing_text_sms', 'keyup', function(e){
				var count = 0;
				var size = 0;	
				var value = this.value;

				if (value && typeof value !== 'undefined') {
					count = value.length;
					if (value.match(/[а-я]/gi)) {
						if (count<=70) {
							var divider = 70;
						} else {
							var divider = 67;
						}
					} else {
						if (count<=160) {
							var divider = 160;
						} else {
							var divider = 153;
						}
					}
					
					size = Math.ceil(count/divider);
				}
					
				jQuery(this).parent('div').find('.alphasms-count-sms-letters').text(count);
				jQuery(this).parent('div').find('.alphasms-size-sms-letters').text(size);
				jQuery(this).parent('div').find('.alphasms-length-sms-letters').text(divider);
			});
		});
	</script>
<?php } ?>

<div class="row message_output">
	<div class="col-sm-12">
	
		<?php if (!empty($this->settings['error'])) : ?>
				
			<p class="alert alert-danger">
				<?=$this->settings['error']?>
			</p>
				
		<?php elseif (!empty($this->settings['success'])) : ?>
			
			<p class="alert alert-success">
				<?=$this->settings['success']?>
			</p>
			
		<?php endif; ?>

	</div>
</div>

<div class="row" id="alphasms-order-form">
	
	<div class="col-sm-12">
						
		<form id="sms-templates-form" action="" method="post" class="form-horizontal" role="form">

            <div id="alphasms-order-type-admin" class="col-sm-6">
                <div class="form-group">
                    <div class="col-sm-12">
                        <div class="bs-callout bs-callout-warning">
                            <h4><?= __('Templates for Administrator', 'alphasms') ?></h4>
                        </div>
                    </div>
                </div>

                <hr>

                <div class="form-group">
                    <label for="AlphasmsSmsTemplates_admin_events_type" class="col-sm-2 control-label"><?=__('EventsType', 'alphasms')?></label>
                    <div class="col-sm-10">
                        <select name="AlphasmsSmsTemplates[admin_events_type]" class="form-control" id="AlphasmsSmsTemplates_admin_events_type">
                            <option <?=($this->settings['id_admin']==1) ? 'selected' : ''?> value="1"><?=__('NewOrder', 'alphasms')?></option>
                            <option <?=($this->settings['id_admin']==2) ? 'selected' : ''?> value="2"><?=__('PaymentOrder', 'alphasms')?></option>
                            <option <?=($this->settings['id_admin']==3) ? 'selected' : ''?> value="3"><?=__('WaitingForPayment', 'alphasms')?></option>
                            <option <?=($this->settings['id_admin']==4) ? 'selected' : ''?> value="4"><?=__('Processing', 'alphasms')?></option>
                            <option <?=($this->settings['id_admin']==5) ? 'selected' : ''?> value="5"><?=__('OnHold', 'alphasms')?></option>
                            <option <?=($this->settings['id_admin']==6) ? 'selected' : ''?> value="6"><?=__('Canceled', 'alphasms')?></option>
                            <option <?=($this->settings['id_admin']==7) ? 'selected' : ''?> value="7"><?=__('Returned', 'alphasms')?></option>
                            <option <?=($this->settings['id_admin']==8) ? 'selected' : ''?> value="8"><?=__('Failed', 'alphasms')?></option>
                        </select>
                    </div>
                </div>

                <div class="form-group">
                    <label for="AlphasmsSmsTemplates_admin_text_sms" class="col-sm-2 control-label">
                        <?=__('SMS template', 'alphasms')?>
                    </label>
                    <div class="col-sm-5">
                        <textarea align="left" class="form-control text-left" id="AlphasmsSmsTemplates_admin_text_sms" name="AlphasmsSmsTemplates[admin_text_sms]" rows="5"><?=!empty($this->settings['admin_template_settings'][$this->settings['id_admin']]['admin_text_sms']) ? htmlspecialchars(trim($this->settings['admin_template_settings'][$this->settings['id_admin']]['admin_text_sms'])) : ''?></textarea>
                        <small><i><?=__('CountChars', 'alphasms')?>: <span class="alphasms-count-sms-letters"></span></i></small>
                        <div><small><i><?=__('SizeMessage', 'alphasms')?>: <span class="alphasms-size-sms-letters"></span> SMS</i></small></div>
                        <p class="clearfix"></p>
                    </div>
                    <div class="col-sm-5 overflow">

                        <?php foreach ($this->settings['tag'] as $tag_name => $tag) : ?>

                        <?php endforeach; ?>

                    </div>
                </div>

            </div>

            <div id="alphasms-order-type-admin" class="col-sm-6">
                <div class="form-group">
                    <div class="col-sm-12">
                        <div class="bs-callout bs-callout-info">
                            <h4><?= __('Templates for Client', 'alphasms') ?></h4>
                        </div>
                    </div>
                </div>

                <hr>

                <div class="form-group">
                    <label for="AlphasmsSmsTemplates_client_events_type" class="col-sm-2 control-label"><?=__('EventsType', 'alphasms')?></label>
                    <div class="col-sm-10">
                        <select name="AlphasmsSmsTemplates[client_events_type]" class="form-control" id="AlphasmsSmsTemplates_client_events_type">
                            <option <?=($this->settings['id_client']==1) ? 'selected' : ''?> value="1"><?=__('NewOrder', 'alphasms')?></option>
                            <option <?=($this->settings['id_client']==2) ? 'selected' : ''?> value="2"><?=__('PaymentOrder', 'alphasms')?></option>
                            <option <?=($this->settings['id_client']==3) ? 'selected' : ''?> value="3"><?=__('WaitingForPayment', 'alphasms')?></option>
                            <option <?=($this->settings['id_client']==4) ? 'selected' : ''?> value="4"><?=__('Processing', 'alphasms')?></option>
                            <option <?=($this->settings['id_client']==5) ? 'selected' : ''?> value="5"><?=__('OnHold', 'alphasms')?></option>
                            <option <?=($this->settings['id_client']==6) ? 'selected' : ''?> value="6"><?=__('Canceled', 'alphasms')?></option>
                            <option <?=($this->settings['id_client']==7) ? 'selected' : ''?> value="7"><?=__('Returned', 'alphasms')?></option>
                            <option <?=($this->settings['id_client']==8) ? 'selected' : ''?> value="8"><?=__('Failed', 'alphasms')?></option>
                        </select>
                    </div>
                </div>

                <div class="form-group">
                    <label for="AlphasmsSmsTemplates_client_text_sms" class="col-sm-2 control-label">
                        <?=__('SMS template', 'alphasms')?>
                    </label>
                    <div class="col-sm-5">
                        <textarea class="form-control" id="AlphasmsSmsTemplates_client_text_sms" name="AlphasmsSmsTemplates[client_text_sms]" rows="5"><?=!empty($this->settings['client_template_settings'][$this->settings['id_client']]['client_text_sms']) ? htmlspecialchars(trim($this->settings['client_template_settings'][$this->settings['id_client']]['client_text_sms'])) : ''?></textarea>
                        <small><i><?=__('CountChars', 'alphasms')?> <span class="alphasms-count-sms-letters"></span></i></small>
                        <div><small><i><?=__('SizeMessage', 'alphasms')?>: <span class="alphasms-size-sms-letters"></span> SMS</i></small></div>
                        <p class="clearfix"></p>
                    </div>
                    <div class="col-sm-5 overflow">
                        <?php foreach ($this->settings['tag'] as $tag_name=>$tag) : ?>

                        <?php endforeach; ?>
                    </div>
                </div>
            </div>

		

				
			<div class="form-group">
				<div class="col-sm-12">
					<input type="submit" id="alphasms-form-sms-button" class="btn btn-lg btn-primary pull-right btn-xs-block floating_button" value="<?=__('Save', 'alphasms')?>">
				</div>
			</div>
			
		</form>
						
	</div>

</div>